<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
FragmentCollectionFilter fragmentCollectionFilter = (FragmentCollectionFilter)request.getAttribute(FragmentCollectionFilter.class.getName());
FragmentRendererContext fragmentRendererContext = (FragmentRendererContext)request.getAttribute(FragmentRendererContext.class.getName());
%>

<c:choose>
	<c:when test="<%= fragmentCollectionFilter != null %>">
		<liferay-frontend:component
			context='<%=
				HashMapBuilder.<String, Object>put(
					"filterPrefix", FragmentCollectionFilterConstants.FILTER_PREFIX
				).build()
			%>'
			module="js/CollectionFilterRegister"
			servletContext="<%= application %>"
		/>

		<%
		fragmentCollectionFilter.render(fragmentRendererContext, request, response);
		%>

	</c:when>
	<c:otherwise>
		<clay:button
			cssClass="bg-light dropdown-toggle font-weight-bold form-control-select form-control-sm text-left w-100"
			displayType="secondary"
			label="<%= StringPool.DASH %>"
			small="<%= true %>"
		/>
	</c:otherwise>
</c:choose>